package io.hmit.modules.area.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.area.dto.AreaDTO;
import io.hmit.modules.area.entity.AreaEntity;

import java.util.List;

/**
 * 区市管理
 *
 * @author syf syf0412@qq.com
 * @since 1.0.0 2020-12-25
 */
public interface AreaService extends CrudService<AreaEntity, AreaDTO> {
    /**
     * 市区列表
     *
     * @param type 市区类型
     */
    List<AreaDTO> getAllAreaList(Integer type);

    /**
     * 根据市级，查询区级
     *
     * @param pid 市级ID
     */
    List<AreaDTO> getListPid(Long pid);

    void delete(Long id);

    @Override
    void save(AreaDTO dto);

    @Override
    void update(AreaDTO dto);

}
